/*
 * ズームコントロール上位置en_legend
 */ 
.ol-zoom .ol-zoom-in
{
    margin-top: 1px;
}

.radio-pointer
{
    cursor: pointer;
}

.map-control
{
    z-index: 9999;
    position: absolute;
    top: 10px;
    right: 10px;
}

.map-control-under
{
    margin-top: 5px;
}

.map-control-box
{
    padding: 5px 5px 5px 5px;
    text-align: center;
    width: 50px;
    height: 50px;
    position: absolute;
    right: 0px;
    border: 2px black solid;
    border-radius: 10px 10px 10px 10px;
    background-color: #CCCCCC;
}

/*更新時間*/
#update-time
{
    border: 2px black solid;
    border-radius: 10px 10px 10px 10px;
    background-color: white;
    color: black;
    padding: 5px 5px 5px 5px;
    text-align: center;
    width: 120px;
}

#layer-map-select-disp img
{
    position: absolute;
    top:4px;
    left:4px;
    width: 40px;
    height: 40px;
}

#legend-map-disp
{
    margin-top: 0px;
}

#legend-map-disp p
{
    margin-top: 5px;
    font-weight: bold;
}

/*ズーム*/
.ol-zoom {
    z-index: 9999;
    left: 10px;
}

.ol-zoom button
{
    background-color: #CCCCCC !important;
    color: black !important;
    border: 2px black solid;
    border-radius: 10px 10px 10px 10px;
    width: 40px;
    height: 40px;
}

.ol-overlaycontainer-stopevent
{
    z-index: 9999 !important;
}

.ol-overlay-container
{
    z-index: 10000 !important;
}

.bottoms
{
    z-index: 100;
    position: absolute;
    right: 10px;
    bottom: 25px;
    vertical-align: bottom;
}

.contents-box
{
    border: 2px black solid;
    border-radius: 10px 10px 10px 10px;
    background-color: white;
    color: black;
    padding: 5px 5px 5px 5px;
}

.contents-box img
{
    width: 20px;
    height: 20px;
    margin-left: 5px;
    margin-right: 2px;
}

.contents-box p {
    text-align: center;
    margin-bottom: 5px;
}

#legend
{
    margin-top: 5px;
    right: 10px;
}

.circle img
{
    width: 20px;
    height: 20px;
    margin-right: 35px;
}

.square img
{
    width: 40px;
    height: 20px;
    margin-top: 5px;
    margin-right: 15px;
}

.square-br
{
    margin-left: 60px;
    margin-top: -5px;
}

.square#sensor-river span,
.circle#closed span
{
    padding-left: 1em;
}
/*レイヤ選択*/
#map-type
{
    max-width: 118px;
    margin-left: auto;
}

.layer-disp {
    margin: 20px;
}

.layer-disp .btn {
    height: 50px;
    width: 100%;
}

.layer-disp .btn-off {
    border: 1px gray solid;
    color: black;
    background-color: transparent;
}

.layer-disp .btn-on {
    border: 1px gray solid;
    color: white;
    background-color: gray;
}

.layer-disp span {
    padding: 8px; 
    margin-left: 10px;
    border: 1px black solid !important;
    border-radius: 10px;
    color: black !important;
    background-color: white !important;
}

/* 出典 */
.authority {
    position: absolute;
    z-index: 2;
    bottom: 0px;
    right: 0px;
}

.authority a{
    display: block;
    background-color: white;
    font-size: 11px;
    text-align: right;
    width: max-content;
    margin-left: auto;
    padding-right: 5px;
}

/*　センサ属性情報(popup)　*/
#popup {
    height: auto;
    min-width: 380px;
}
#popup-header {
    text-align: center;
    color: black;
    font-weight: bold;
    padding: 3px 0;
}

#popup-content {
    overflow-y: auto;
    display: flex;
}

#popup-content:not(.zoomin) {
    max-height: 30vh;
    overflow-y: auto;
}

#popup-content.zoomin.vertical-sensor {
    max-height: 50vh;
    overflow-y: auto;
}

/* メニュー配置等の設定(popup) */
#popup-table {
    width: 100%;
}
#popup-table tr {
    display: flex;
    flex-direction: row;
}

/* 表示データの表示領域などの設定(popup) */
.popup-v-data {
    flex-basis: 32%;
    text-align: start;
}
.popup-v-data-desc {
    flex-basis: 25%;
    text-align: end;
}
.popup-v-data-sep,
.popup-data-sep {
    flex-basis: 3%;
}
.popup-v-data-val {
    flex-basis: 25%;
    overflow-wrap: anywhere;
}
.popup-v-data-name {
    flex-basis: 68%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.popup-v-data-post {
    flex-basis: 29%;
    white-space: nowrap;
}
.popup-data-desc {
    flex-basis: 40%;
    text-align: end;
}
.popup-data-val {
    flex-basis: 62%;
    overflow-wrap: anywhere;
}
.popup-data-val span {
    font-size: 12px;
}

/* 拡大縮小の設定(popup) */
#popup-zoom {
    text-align: end;
    float: right;
    display: none;
}
#popup-zoom-img {
    width: 15px;
}
#popup-zoom-img:not(.zoomin) {
    cursor: zoom-in;
}

#popup-zoom-img.zoomin {
    cursor: zoom-out;
}

#popup-content:not(.vertical-sensor) .popup-data {
    cursor: default;
}

#popup-content .vertical-sensor .popup-data {
    cursor: pointer;
}

/* 注意アイコンの配置設定など(popup) */
.popup-attention, #popup-warn {
    text-align: end;
    flex-basis: 15%;
}
.popup-attention-img {
    width: 20px;
    margin: 0 5px 0 0;
    cursor: pointer;
}
.popup-attention-msg {
    display: none;
    position: relative;
    float: left;
    text-align: center;
    background-color: #fff207;
    width: max-content;
    font-weight: bold;
    left: 63%;
    padding: 0px 20px;
    bottom: 26px;
}

/* センサリスト/属性情報(popup) 背景色設定*/
tbody:not(.vertical-sensor).status-1 {
    background-color: rgba(158, 189, 247, 0.5);
}
tbody:not(.vertical-sensor).status-2 {
    background-color: rgba(255,0,0,0.5);
}
tbody:not(.vertical-sensor).status-3 {
    background-color: rgba(211, 211, 211, 0.5);
}
tbody:not(.vertical-sensor).status-4 {
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
}
.vertical-sensor tr.status-1 {
    background-color: rgba(158, 189, 247, 0.5);
}
.vertical-sensor tr.status-2 {
    background-color: rgba(255,0,0,0.5);
}
.vertical-sensor tr.status-3 {
    background-color: rgba(211, 211, 211, 0.5);
}
.vertical-sensor tr.status-4 {
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
}
.vertical-sensor tr.status-1:hover {
    background-color: rgba(158, 189, 247, 1);
}
.vertical-sensor tr.status-2:hover {
    background-color: rgba(255,0,0,1);
}
.vertical-sensor tr.status-3:hover {
    background-color: rgba(211, 211, 211, 1);
}
.vertical-sensor tr.status-4:hover {
    background-color: rgba(0, 0, 0, 1);
}

/* 近景遠景の設定 */
.popup-image-status-1 {
    background-color: rgba(158, 189, 247, 0.5);
}
.popup-image-status-2 {
    background-color: rgba(255,0,0,0.5);
}
.popup-image-status-3 {
    background-color: rgba(211, 211, 211, 0.5);
}
.popup-image-status-4 {
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
}

.img_name{
    background-color: rgb(38, 78, 121);
    margin: 10px 5px 0px 5px;
    height: 20px;
    display: none;
    color: white;
    justify-content: center;
    align-items: center;
}

.img_area{
    background-color: rgba(227, 230, 235);
    display: flex;
    flex-basis: 5% 90% 5%;
    align-items: center;
    justify-content: center;
    margin: 0px 5px 5px 5px;
    height: calc(100% - 40px);
    width: calc(100% - 10px);
    display: none;
    max-width: 150px;
    min-width: 150px;
    /* max-height: 220px; */
    min-height: 220px;
}

.next-near{
    width: 100px;
    font-size: 40px;
    color: white;
    align-self: center;
    margin-right: 10px;
    text-align: center;
}

.next-distant{
    width: 100px;
    font-size: 40px;
    color: white;
    align-self: center;
    margin-left: 10px;
    text-align: center;
}

#near {
    margin: 10px;
    max-width: 130px;
    max-height: 180px;
}

#near:hover {
    cursor: pointer;
}

#distant {
    margin: 10px;
    max-width: 130px;
    max-height: 180px;
}

#distant:hover {
    cursor: pointer;
}

/* 画像の拡大 */
.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: transparent;
    display: none;
    z-index: 10000;
}

.img-modal{
    height: calc(100% - 25px);
    margin: 10px;
    background-color: rgba(0,0,0,0.4);
    border-color: rgba(0,0,0);
    border-radius: 10px;
}

.bigimg {
    display: flex;
    justify-content: center;
    height: 100%;
    width: 100%;
}

.close-btn {
    color: #fff;
    font-size: 50px;
    position: absolute;
    right: 60px;
    top: 20px;
}

.close-btn:hover {
    cursor: pointer;
}

/* 過去イベントリスト */
#floot-event-list{
    display: none;
}

/* レンジ設定 */
#range{
    display: none;
}

.event-list-control{
    display: none;
}

/* ご利用上の注意 */
#shinsui{
    padding-left: 10px;
    padding-right: 10px;
}

.shinsui-info-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    display: none;
    z-index: 10000;
    background-color: rgba(255,255,255,0.7);
    align-items: center;
    justify-content: center;
}

.shinsui-info {
    background-color: white;
    margin: 20px 0px 20px 0px;
    height: auto;
    width: 700px;
    border: 2px black solid;
    background-color: rgb(202,238,251);
}

.shinsui-info-row {
    display: grid;
    grid-template-columns: 1fr 30px;
}

.shinsui-info-1 {
    font-size: 20px;
    font-weight: bolder;
}

.shinsui-info-2 {
    padding-top: 5px;
    padding-left: 5px;
    font-weight: bolder;
}

.shinsui-info-3 {
    padding-top: 10px;
}

.shinsui-info-4 {
    padding-top: 10px;
    text-align: center;
}

#shinsui-close {
    background-color: unset;
    border: unset;
    font-size: 25px;
    font-weight: 500;
}

.shinsui-close-btn {
    text-align: center;
    padding-top: 10px;
    padding-bottom: 10px;
}

#shinsui-close-btn {
    width: 100px;
    padding: 5px;
    background-color: rgb(0,176,240);
}

.shinsui-info-close-btn {
    color: #fff;
    font-size: 50px;
    position: absolute;
    z-index: 100;
    width: 20px;
    right: 50px;
    top: 33px;
}

.shinsui-info-close-btn>img {
    width: 30px;
    height: 30px;
}

.shinsui-info-close-btn>img:hover {
    cursor: pointer;
}

@media all and (max-height: 360px) {
    .map-control-under
    {
        position: fixed;
        left:70px;
        top:5px;
    }

    #legend-map-disp
    {
        left:10px;
        margin-top: 0px;
    }

    #legend
    {
        right: 65px;
    }
}

@media all and (max-width: 500px) {
    #popup-zoom
    {
        display: none;
    }
}

@media all and (max-width: 700px) {
    .shinsui-info-3
    {
        font-size: 13px;
    }
}

@media all and (max-height: 700px) {
    .shinsui-info-3
    {
        font-size: 13px;
    }
}
